## GeditViewActivatable GeditViewActivatable — Interface for activatable extensions on views |

## Functions

void | gedit_view_activatable_activate ()
void | gedit_view_activatable_deactivate ()

## Properties

GeditView * | view | Read / Write / Construct Only

## Types and Values

| GeditViewActivatable
struct | GeditViewActivatableInterface

## Object Hierarchy

        GInterface
        ╰── GeditViewActivatable

## Prerequisites

GeditViewActivatable requires GObject.

## Description

GeditViewActivatable is an interface which should be implemented by extensions that should be activated on a GeditView.

## Functions

### gedit_view_activatable_activate ()

    void
    gedit_view_activatable_activate (GeditViewActivatable *activatable);

Activates the extension on the GeditView.

#### Parameters

activatable | a GeditViewActivatable. |

### gedit_view_activatable_deactivate ()

    void
    gedit_view_activatable_deactivate (GeditViewActivatable *activatable);

Deactivates the extension from the GeditView.

#### Parameters

activatable | a GeditViewActivatable. |

## Types and Values

### GeditViewActivatable

    typedef struct _GeditViewActivatable GeditViewActivatable;

### struct GeditViewActivatableInterface

    struct GeditViewActivatableInterface {
    	GTypeInterface parent_interface;

    	void (*activate) (GeditViewActivatable *activatable);

    	void (*deactivate) (GeditViewActivatable *activatable);
    };

The virtual function table for GeditViewActivatable.

#### Members

GTypeInterface `parent_interface`; | The parent interface. |
`activate` () | The virtual function pointer for `gedit_view_activatable_activate()`. |
`deactivate` () | The virtual function pointer for `gedit_view_activatable_deactivate()`. |

## Property Details

### The `“view”` property

      “view”                     GeditView *

The GeditView.

Owner: GeditViewActivatable

Flags: Read / Write / Construct Only

## See Also

PeasExtensionSet